unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UIGrid4, StdCtrls, UInspGrid;

type
  TForm1 = class(TForm)
    InspGrid1: TInspGrid;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);

    procedure InspGrid1SetCellType(Sender: TObject; ARow: Word;
      var CType: TCellType);
    procedure InspGrid1CallListBox(Sender: TObject; ARow: Word;
      var List: string);
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1    : TForm1;
InspGrid1 : TInspGrid;
implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var m : TStrings;
    i,j : byte;
begin
with InspGrid1 do begin
 DefaultColWidth := 100;
   for i := 0 to colCount-1 do
    for j := 0 to RowCount-1 do
     cells[i,j] := IntToStr(i)+', '+IntToStr(j);
    end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 InspGrid1.DeleteRows(5,2);
end;

procedure TForm1.InspGrid1SetCellType(Sender: TObject; ARow: Word;
  var CType: TCellType);
begin
if (sender is TInspGrid) then
    begin
 Case ARow of
0 : InspGrid1.CellType := ctShowEdit;
1 : InspGrid1.CellType := ctViewer;
2:  InspGrid1.CellType := ctShowFocus;
3:  InspGrid1.CellType := ctCallEditor;
4:  InspGrid1.CellType := ctCallList;
5:  InspGrid1.CellType := ctEdit;
  else InspGrid1.CellType :=  ctShowFocus;
end;
end;
end;

procedure TForm1.InspGrid1CallListBox(Sender: TObject; ARow: Word;
  var List: string);
begin
if ARow = 4 then List := '1,2,3,4,5,6,7,8,9';
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
InspGrid1.InsertRows(5,2);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
with InspGrid1 do begin
 if  ColCount = 2 then ColCount := 3 else
  ColCount := 2;
  end;
end;

end.
